Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMapItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<VoiceCostMapItem>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<VoiceCostMapItem>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMapItem

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceCostMapItem>`, `TreeNode<VoiceCostMapItem>`

public class VoiceCostMapItem extends VoiceBaseCodeBean<VoiceCostMapItem>
Отдельный элемент карты цен, содержащий в себе географический код, цену и период действия.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMapItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceCostMapItem`
  `copy()`
  `int`
  `getCodeId()`
  `String`
  `getComment()`
  Получение комментария для элемента карты цен.
  `int`
  `getCostMapId()`
  Получение кода карты цен, к которой привязан элемент.
  `BigDecimal`
  `getItemCost()`
  Получение цены для данного элемента.
  `VoiceCostMapItem`
  `setCode(String code)`
  `VoiceCostMapItem`
  `setCodeId(int codeId)`
  `VoiceCostMapItem`
  `setComment(String comment)`
  Получение комментария для элемента карты цен.
  `VoiceCostMapItem`
  `setCostMapId(int costMapId)`
  Установка кода карты цен.
  `VoiceCostMapItem`
  `setDateFrom(Date dateFrom)`
  Установка даты начала действия географического кода.
  `VoiceCostMapItem`
  `setDateTo(Date dateTo)`
  Установка даты начала действия географического кода.
  `VoiceCostMapItem`
  `setDestinationTitle(String destinationTitle)`
  `VoiceCostMapItem`
  `setId(int id)`
  Устанавливает id объекта
  `VoiceCostMapItem`
  `setItemCost(BigDecimal itemCost)`
  Установка цены для элемента карты цен.
  `VoiceCostMapItem`
  `setLevel(int level)`
  `VoiceCostMapItem`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `int`
  `sizeLeaf()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean

  `clone, getCode, getDateFrom, getDateTo, getDestinationId, getDestinationTitle, getLevel, setDestinationId`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceCostMapItem

    public VoiceCostMapItem()

- ## Method Details

  - ### copy

    public VoiceCostMapItem copy()

  - ### getCodeId

    public int getCodeId()

  - ### getComment

    public String getComment()
    Получение комментария для элемента карты цен.
    Returns:
      комментарий.

  - ### getCostMapId

    public int getCostMapId()
    Получение кода карты цен, к которой привязан элемент.
    Returns:
      код родительской карты цен.

  - ### getItemCost

    public BigDecimal getItemCost()
    Получение цены для данного элемента.
    Returns:
      цена элемента карты цен.

  - ### setCode

    public VoiceCostMapItem setCode(String code)
    Overrides:
      `setCode` in class `VoiceBaseCodeBean<VoiceCostMapItem>`

  - ### setCodeId

    public VoiceCostMapItem setCodeId(int codeId)

  - ### setComment

    public VoiceCostMapItem setComment(String comment)
    Получение комментария для элемента карты цен.
    Parameters:
      `comment` - комментарий.

  - ### setCostMapId

    public VoiceCostMapItem setCostMapId(int costMapId)
    Установка кода карты цен.
    Parameters:
      `costMapId` - код карты цен, к которой привязан данный элемент.

  - ### setDateFrom

    public VoiceCostMapItem setDateFrom(Date dateFrom)
    Description copied from class: `VoiceBaseCodeBean`
    Установка даты начала действия географического кода.
    Overrides:
      `setDateFrom` in class `VoiceBaseCodeBean<VoiceCostMapItem>`
    Parameters:
      `dateFrom` - дата начала

  - ### setDateTo

    public VoiceCostMapItem setDateTo(Date dateTo)
    Description copied from class: `VoiceBaseCodeBean`
    Установка даты начала действия географического кода.
    Overrides:
      `setDateTo` in class `VoiceBaseCodeBean<VoiceCostMapItem>`
    Parameters:
      `dateTo` - дата окончания.

  - ### setDestinationTitle

    public VoiceCostMapItem setDestinationTitle(String destinationTitle)
    Overrides:
      `setDestinationTitle` in class `VoiceBaseCodeBean<VoiceCostMapItem>`

  - ### setId

    public VoiceCostMapItem setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setItemCost

    public VoiceCostMapItem setItemCost(BigDecimal itemCost)
    Установка цены для элемента карты цен.
    Parameters:
      `itemCost` - цена.

  - ### setLevel

    public VoiceCostMapItem setLevel(int level)
    Overrides:
      `setLevel` in class `VoiceBaseCodeBean<VoiceCostMapItem>`

  - ### setTitle

    public VoiceCostMapItem setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### sizeLeaf

    public int sizeLeaf()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`